/// <reference types="react" />
import PropTypes from "prop-types";
export declare const BootstrapModal: {
    ({ children, size, show, onHide, title, showCloseButton, header, footer, ...rest }: {
        [x: string]: any;
        children: any;
        size?: "lg" | undefined;
        show?: boolean | undefined;
        onHide: any;
        title: any;
        showCloseButton?: boolean | undefined;
        header: any;
        footer: any;
    }): JSX.Element;
    propTypes: {
        size: PropTypes.Requireable<string>;
        show: PropTypes.Requireable<boolean>;
        showCloseButton: PropTypes.Requireable<boolean>;
        onHide: PropTypes.Requireable<(...args: any[]) => any>;
        title: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
        header: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
        footer: PropTypes.Requireable<string | PropTypes.ReactElementLike>;
    };
};
//# sourceMappingURL=Modal.d.ts.map