import {
  FormComponentSelectMultiple
} from "./chunk-FY2MAYZA.js";
import {
  FormComponentStaticText
} from "./chunk-YQANBUQO.js";
import {
  FormComponentTextarea
} from "./chunk-UWVJHREX.js";
import {
  FormComponentUrl
} from "./chunk-HW7OQSSB.js";
import {
  FormComponentDefault
} from "./chunk-U5IGAERK.js";
import {
  FormComponentEmail
} from "./chunk-53RVA44K.js";
import {
  FormComponentNumber
} from "./chunk-BINFSX6D.js";
import {
  FormComponentPassword
} from "./chunk-RE72EBIG.js";
import {
  FormComponentRadioGroup
} from "./chunk-6CLWM4WG.js";
import {
  FormComponentCheckboxGroup
} from "./chunk-BRZX66ZS.js";
import {
  FormComponentSelect
} from "./chunk-RTDGEGJI.js";
import {
  Autocomplete
} from "./chunk-F5WXVNI4.js";
import {
  AutocompleteMultiple
} from "./chunk-WMOCPSIO.js";
import {
  __name,
  __objRest,
  __spreadProps,
  __spreadValues
} from "./chunk-B36FS7SS.js";

// components/VulcanComponents/bootstrapFormComponents.ts
import { defaultFormComponents } from "@vulcanjs/react-ui";

// components/form/elements/FormElement.tsx
import React from "react";
import { useFormContext } from "@vulcanjs/react-ui";
import { Form } from "react-bootstrap";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
__name(_extends, "_extends");
var FormElement = /* @__PURE__ */ React.forwardRef((_a, ref) => {
  var _b = _a, { children } = _b, otherProps = __objRest(_b, ["children"]);
  const { submitForm } = useFormContext();
  return /* @__PURE__ */ React.createElement(Form, _extends({}, otherProps, {
    onSubmit: submitForm,
    ref
  }), children);
});

// components/VulcanComponents/bootstrapFormComponents.ts
import { liteFormComponents } from "@vulcanjs/react-ui-lite";
var bootstrapFormComponents = __spreadProps(__spreadValues(__spreadValues({}, defaultFormComponents), liteFormComponents), {
  FormComponentRadioGroup,
  FormComponentCheckboxGroup,
  FormComponentAutocomplete: Autocomplete,
  FormComponentMultiAutocomplete: AutocompleteMultiple,
  FormComponentDefault,
  FormComponentText: FormComponentDefault,
  FormComponentEmail,
  FormComponentNumber,
  FormComponentPassword,
  FormComponentSelect,
  FormComponentSelectMultiple,
  FormComponentUrl,
  FormComponentStaticText,
  FormComponentTextarea,
  FormElement
});

export {
  bootstrapFormComponents
};
//# sourceMappingURL=chunk-RCK56NQR.js.map