import {
  __name,
  __objRest
} from "./chunk-B36FS7SS.js";

// components/core/TooltipTrigger.tsx
import React from "react";
import { Tooltip, OverlayTrigger } from "react-bootstrap";
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
__name(_extends, "_extends");
var TooltipTrigger = /* @__PURE__ */ __name((_a) => {
  var _b = _a, { children, trigger, placement = "top" } = _b, rest = __objRest(_b, ["children", "trigger", "placement"]);
  const tooltip = /* @__PURE__ */ React.createElement(Tooltip, {
    id: "tooltip"
  }, children);
  return /* @__PURE__ */ React.createElement(OverlayTrigger, _extends({
    placement
  }, rest, {
    overlay: tooltip
  }), trigger);
}, "TooltipTrigger");

export {
  TooltipTrigger
};
//# sourceMappingURL=chunk-ZJIMZ34L.js.map